### Function

# Gck Attributes new_empty

#### Declaration [src]

    GckAttributes*
    gck_attributes_new_empty (
      gulong first_type,
      ...
    )

#### Description [src]

Creates an GckAttributes array with empty attributes

Terminate the argument list with `GCK_INVALID`.

The returned set of attributes is floating, and should either be passed to another gck library function which consumes this floating reference, or if you wish to keep these attributes around you should ref them with `gck_attributes_ref_sink()` and unref them later with gck_attributes_unref().

This function is not directly available to language bindings.

#### Parameters

`first_type`

  Type: `gulong`

  The first empty attribute type.

`...`

  Type: ``

  The other empty attribute types.

#### Return value

Type: `GckAttributes`

A floating reference to an empty set of attributes.

The data is owned by the called function.